<?php
//+++
//include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
//include("SimpleXLSX.php");
//+++
function XLSX_LISTA_COUTAS($ACTUALIZAR){
	if(strlen($ACTUALIZAR)==0){
		$ACTUALIZAR="NO";
	}
	//
	$OPE_ALT=1;
	$OPE_REN=2;
	$OPE_POR=3;
	$PLAZO=18;
	//
	if(!file_exists("listas/cuotas.xlsx")){
		return "El archivo cuotas.xlsx no se encuentra";
	}
	if($xlsx=SimpleXLSX::parse('listas/cuotas.xlsx')) {
		//
		$MIL=3000;
		$CIE=100;
		$CX=0;
		//
		$hojas=$xlsx->sheetNames();
		$H0=trim(strtoupper($hojas[0]));
		$H1=trim(strtoupper($hojas[1]));
		$H2=trim(strtoupper($hojas[2]));
		$H3=trim(strtoupper($hojas[3]));
		$H4=trim(strtoupper($hojas[4]));
		$H5=trim(strtoupper($hojas[5]));
		$H6=trim(strtoupper($hojas[6]));
		$H7=trim(strtoupper($hojas[7]));
		//
		if( ($H0==TU("Resumen") && 
			$H1==TU("Lista PORTA 12M") && 
			$H2==TU("Lista RENO 12M") && 
			$H3==TU("Lista PORTA 18M") &&
			$H4==TU("Lista RENO 18M") &&
			$H5==TU("Lista PORTA 24M") &&
			$H6==TU("Lista RENO 24M") &&
			$H7==TU("Lista Cuotas Lite 6M"))
			){
			$TODO_OK=1;
			ejt("DELETE FROM lista_cuo");
		}else{
			return "El archivo seleccionado no corresponde";
		}
		if($TODO_OK==1){
			//++
			//++
			//Lista PORTA 12M
			$NRO_DE_CUOTAS=12;
			$HOJA=$xlsx->rows(1);
			for($f=10;$f<=$MIL;$f++){
				$DES=$HOJA[$f][1];
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);				
					if($LP_PRO_ID>0){
						for($c=2;$c<=12;$c++){
							$PLA=$HOJA[9][$c];							
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=$PLA[0];
								$LP_PLN_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($LP_PLN_ID>0){								
									$CUO_INI_=vbval($HOJA[$f][$c]);
									$CUO_MEN_=vbval($HOJA[$f][$c+11]);
									$PRE_TOT_=vbval($HOJA[$f][$c+22]);//PRECIO TOTAL
									//
									$CX++;
									$s="INSERT INTO lista_cuo 
									VALUES ($CX,$OPE_POR,$LP_PRO_ID,$LP_PLN_ID,
									$NRO_DE_CUOTAS,$CUO_INI_,$CUO_MEN_,$PRE_TOT_)";
									ejt($s);
								}								
							}else{
								break;
							}
						}
					}
				}
			}
			//++
			//++
			//Lista RENO 12M
			$NRO_DE_CUOTAS=12;
			$HOJA=$xlsx->rows(2);
			for($f=10;$f<=$MIL;$f++){
				$DES=$HOJA[$f][1];
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);				
					if($LP_PRO_ID>0){
						for($c=2;$c<=12;$c++){
							$PLA=$HOJA[9][$c];							
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=$PLA[0];
								$LP_PLN_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($LP_PLN_ID>0){								
									$CUO_INI_=vbval($HOJA[$f][$c]);
									$CUO_MEN_=vbval($HOJA[$f][$c+11]);
									$PRE_TOT_=vbval($HOJA[$f][$c+22]);//PRECIO TOTAL
									//
									$CX++;
									$s="INSERT INTO lista_cuo 
									VALUES ($CX,$OPE_REN,$LP_PRO_ID,$LP_PLN_ID,
									$NRO_DE_CUOTAS,$CUO_INI_,$CUO_MEN_,$PRE_TOT_)";
									ejt($s);
								}								
							}else{
								break;
							}
						}
					}
				}
			}
			//++
			//++
			//Lista PORTA 18M
			$NRO_DE_CUOTAS=18;
			$HOJA=$xlsx->rows(3);
			for($f=10;$f<=$MIL;$f++){
				$DES=$HOJA[$f][0];
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);				
					if($LP_PRO_ID>0){
						for($c=1;$c<=11;$c++){
							$PLA=$HOJA[9][$c];							
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=$PLA[0];
								$LP_PLN_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($LP_PLN_ID>0){								
									$CUO_INI_=vbval($HOJA[$f][$c]);
									$CUO_MEN_=vbval($HOJA[$f][$c+11]);
									$PRE_TOT_=vbval($HOJA[$f][$c+22]);//PRECIO TOTAL
									//
									$CX++;
									$s="INSERT INTO lista_cuo 
									VALUES ($CX,$OPE_POR,$LP_PRO_ID,$LP_PLN_ID,
									$NRO_DE_CUOTAS,$CUO_INI_,$CUO_MEN_,$PRE_TOT_)";
									ejt($s);
								}								
							}else{
								break;
							}
						}
					}
				}
			}
			//++
			//++
			//Lista RENO 18M
			$NRO_DE_CUOTAS=18;
			$HOJA=$xlsx->rows(4);
			for($f=10;$f<=$MIL;$f++){
				$DES=$HOJA[$f][0];
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);				
					if($LP_PRO_ID>0){
						for($c=1;$c<=11;$c++){
							$PLA=$HOJA[9][$c];							
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=$PLA[0];
								$LP_PLN_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($LP_PLN_ID>0){								
									$CUO_INI_=vbval($HOJA[$f][$c]);
									$CUO_MEN_=vbval($HOJA[$f][$c+11]);
									$PRE_TOT_=vbval($HOJA[$f][$c+22]);//PRECIO TOTAL
									//
									$CX++;
									$s="INSERT INTO lista_cuo 
									VALUES ($CX,$OPE_REN,$LP_PRO_ID,$LP_PLN_ID,
									$NRO_DE_CUOTAS,$CUO_INI_,$CUO_MEN_,$PRE_TOT_)";
									ejt($s);
								}								
							}else{
								break;
							}
						}
					}
				}
			}
			//++
			//++
			//Lista PORTA 24M
			$NRO_DE_CUOTAS=24;
			$HOJA=$xlsx->rows(5);
			for($f=10;$f<=$MIL;$f++){
				$DES=$HOJA[$f][0];
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);				
					if($LP_PRO_ID>0){
						for($c=1;$c<=11;$c++){
							$PLA=$HOJA[9][$c];							
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=$PLA[0];
								$LP_PLN_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($LP_PLN_ID>0){								
									$CUO_INI_=vbval($HOJA[$f][$c]);
									$CUO_MEN_=vbval($HOJA[$f][$c+11]);
									$PRE_TOT_=vbval($HOJA[$f][$c+22]);//PRECIO TOTAL
									//
									$CX++;
									$s="INSERT INTO lista_cuo 
									VALUES ($CX,$OPE_POR,$LP_PRO_ID,$LP_PLN_ID,
									$NRO_DE_CUOTAS,$CUO_INI_,$CUO_MEN_,$PRE_TOT_)";
									ejt($s);
								}								
							}else{
								break;
							}
						}
					}
				}
			}
			//++
			//++
			//Lista RENO 24M
			$NRO_DE_CUOTAS=24;
			$HOJA=$xlsx->rows(6);
			for($f=10;$f<=$MIL;$f++){
				$DES=$HOJA[$f][0];
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);				
					if($LP_PRO_ID>0){
						for($c=1;$c<=11;$c++){
							$PLA=$HOJA[9][$c];							
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=$PLA[0];
								$LP_PLN_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($LP_PLN_ID>0){								
									$CUO_INI_=vbval($HOJA[$f][$c]);
									$CUO_MEN_=vbval($HOJA[$f][$c+11]);
									$PRE_TOT_=vbval($HOJA[$f][$c+22]);//PRECIO TOTAL
									//
									$CX++;
									$s="INSERT INTO lista_cuo 
									VALUES ($CX,$OPE_REN,$LP_PRO_ID,$LP_PLN_ID,
									$NRO_DE_CUOTAS,$CUO_INI_,$CUO_MEN_,$PRE_TOT_)";
									ejt($s);
								}								
							}else{
								break;
							}
						}
					}
				}
			}
			//++
			//++
			//Lista Cuotas Lite 6M
			$NRO_DE_CUOTAS=6;
			$HOJA=$xlsx->rows(7);
			for($f=10;$f<=$MIL;$f++){
				$DES=$HOJA[$f][0];
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);				
					if($LP_PRO_ID>0){
						for($c=1;$c<=11;$c++){
							$PLA=$HOJA[9][$c];							
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=$PLA[0];
								$LP_PLN_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($LP_PLN_ID>0){								
									$CUO_INI_=vbval($HOJA[$f][$c]);
									$CUO_MEN_=vbval($HOJA[$f][$c+11]);
									$PRE_TOT_=vbval($HOJA[$f][$c+22]);//PRECIO TOTAL
									//
									$CX++;
									$s="INSERT INTO lista_cuo 
									VALUES ($CX,$OPE_REN,$LP_PRO_ID,$LP_PLN_ID,
									$NRO_DE_CUOTAS,$CUO_INI_,$CUO_MEN_,$PRE_TOT_)";
									ejt($s);
									//
									$CX++;
									$s="INSERT INTO lista_cuo 
									VALUES ($CX,$OPE_POR,$LP_PRO_ID,$LP_PLN_ID,
									$NRO_DE_CUOTAS,$CUO_INI_,$CUO_MEN_,$PRE_TOT_)";
									ejt($s);
								}								
							}else{
								break;
							}
						}
					}
				}
			}			
		}
		return "OK";
	}else{
		//echo SimpleXLSX::parseError();
		return "ERROR";
	}
}
//->OK
//XLSX_LISTA_COUTAS("SI");
?>